Main Page Widgets glibmm Namespaces Book

# Glib::PropertyProxy_Base Class Reference

Inheritance diagram for Glib::PropertyProxy_Base:

[legend]
List of all members.

## Public Member Functions
| PropertyProxy_Base (ObjectBase* obj, const char* property_name)
| PropertyProxy_Base (const PropertyProxy_Base& other)
SignalProxyProperty | signal_changed ()
| This signal will be emitted when the property changes.
ObjectBase* | get_object () const
const char* | get_name () const
## Protected Member Functions
void | set_property_ (const Glib::ValueBase& value)
void | get_property_ (Glib::ValueBase& value) const
void | reset_property_ ()
## Protected Attributes
ObjectBase* | obj_
const char* | property_name_

## Constructor & Destructor Documentation

Glib::PropertyProxy_Base::PropertyProxy_Base | ( | ObjectBase* | obj,
|  | const char * | property_name |
| ) |  |  |

Glib::PropertyProxy_Base::PropertyProxy_Base | ( | const PropertyProxy_Base& | other | ) |

## Member Function Documentation

SignalProxyProperty Glib::PropertyProxy_Base::signal_changed | ( |  | ) |

This signal will be emitted when the property changes.

ObjectBase* Glib::PropertyProxy_Base::get_object | ( |  | ) | const`[inline]`

const char* Glib::PropertyProxy_Base::get_name | ( |  | ) | const`[inline]`

void Glib::PropertyProxy_Base::set_property_ | ( | const Glib::ValueBase& | value | ) | `[protected]`

void Glib::PropertyProxy_Base::get_property_ | ( | Glib::ValueBase& | value | ) | const`[protected]`

void Glib::PropertyProxy_Base::reset_property_ | ( |  | ) | `[protected]`

## Member Data Documentation

ObjectBase* Glib::PropertyProxy_Base::obj_`[protected]`

const char* Glib::PropertyProxy_Base::property_name_`[protected]`

The documentation for this class was generated from the following file:

- propertyproxy_base.h